## levmar 2.5-4

=== debian/changelog ===
levmar (2.5-4) experimental; urgency=low

  * levmar package for Debian

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Tue, 31 Aug 2010 13:45:18 +0300
