=== debian/control ===
Source: levmar
Priority: extra
Maintainer: Daniil Ivanov <daniil.ivanov@gmail.com>
Build-Depends: cdbs, debhelper, autotools-dev, liblapack-dev
Standards-Version: 3.8.2
Section: libs
Homepage: http://www.nih.at/libzip/

Package: liblevmar-dev
Section: libdevel
Architecture: any
Depends: liblevmar2 (= ${binary:Version})
Description: Development files for levmar library, and demo program
 Development files for the levmar library, and demo program.

Package: liblevmar2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Levenberg-Marquardt nonlinear least squares algorithm
 levmar is a native ANSI C implementation of the Levenberg-Marquardt
 optimization algorithm.  Both unconstrained and constrained (under linear
 equations, inequality and box constraints) Levenberg-Marquardt variants are
 included.  The LM algorithm is an iterative technique that finds a local
 minimum of a function that is expressed as the sum of squares of nonlinear
 functions.  It has become a standard technique for nonlinear least-squares
 problems and can be thought of as a combination of steepest descent and the
 Gauss-Newton method.  When the current solution is far from the correct on,
 the algorithm behaves like a steepest descent method: slow, but guaranteed
 to converge.  When the current solution is close to the correct solution, it
 becomes a Gauss-Newton method.
