=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_ALL := -V
DEB_MAKE_INVOKE += -f Makefile.so

BUILDROOT = debian/tmp
MAJ=2
MIN=2

pre-build::
	mkdir -p sobj

install/liblevmar2::
	install -D -p -m 755 sobj/liblevmar.so.$(MAJ).$(MIN) $(BUILDROOT)/usr/lib/liblevmar.so.$(MAJ).$(MIN)
	install -D -p -m 644 levmar.h $(BUILDROOT)/usr/include/levmar.h
	install -D -p -m 755 lmdemo $(BUILDROOT)/usr/bin//lmdemo
	ln -s liblevmar.so.$(MAJ).$(MIN) $(BUILDROOT)/usr/lib/liblevmar.so.$(MAJ)
	ln -s liblevmar.so.$(MAJ).$(MIN) $(BUILDROOT)/usr/lib/liblevmar.so
	ls -l $(BUILDROOT)

cleanbuilddir/liblevmar2::
	rm -rf sobj
