## levmar 2.5-5

=== debian/changelog ===
levmar (2.5-5) unstable; urgency=low

  * Added debug package for a library

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Tue, 12 Oct 2010 15:06:23 +0300
