=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: levmar
+Section: libs
 Priority: extra
 Maintainer: Daniil Ivanov <daniil.ivanov@gmail.com>
 Build-Depends: cdbs, debhelper, autotools-dev, liblapack-dev
 Standards-Version: 3.8.2
-Section: libs
 Homepage: http://www.nih.at/libzip/
 
 Package: liblevmar-dev
@@ -12,6 +12,13 @@
 Depends: liblevmar2 (= ${binary:Version})
 Description: Development files for levmar library, and demo program
  Development files for the levmar library, and demo program.
+
+Package: liblevmar-dbg
+Section: text
+Architecture: any
+Depends: liblevmar2 (= ${binary:Version})
+Description: Debug files for levmar library
+ Debug files for the levmar library
 
 Package: liblevmar2
 Section: libs
