=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 DEB_MAKE_INVOKE += -f Makefile.so
+DEB_DH_STRIP_ARGS = --dbg-package=liblevmar-dbg
 
 BUILDROOT = debian/tmp
 MAJ=2
@@ -24,3 +25,5 @@
 
 cleanbuilddir/liblevmar2::
 	rm -rf sobj
+
+
